Boehrsi.de - IT und Gaming Blog

Flutter Fehler - Dart VM: Wrong full snapshot version

Flutter Fehler - Dart VM: Wrong full snapshot version Bild

Während ich mal wieder an einem meiner Flutter Projekte weiter arbeiten wollte, stolperte ich nach einem flutter upgrade über app Error while initializing the Dart VM: Wrong full snapshot version. Der Fehler trat interessanterweise nicht beim Installieren auf, sondern erst beim initialen Starten der App. Selbige stürzte dann mit dem genannten Fehler ab.
Beheben konnte ich ihn durch das Entfernen des ~/flutter/bin/cache Ordners. Es scheint nämlich so als hätte sich das Flutter Upgrade-Tool verschluckt, was zu diesem Fehler führt. Andere Nutzer mit ähnlichen Problemen berichten davon das git clean –xffd, direkt im Flutter Ordner ausgeführt, das Problem löst. Dabei ist anzumerken das der Root Flutter Ordner selbst ein Git Repository ist. Weitere Informationen findet ihr im dazugehörigen GitHub Issue, welchen ich in den Related Links hinterlegt habe.

Related Links
keyboard_arrow_left Vorheriger Beitrag
Humble Lego Games Bundle
Nächster Beitrag keyboard_arrow_right
Humble Store - Spring Sale
Teilen und RSS-Feeds abonnieren
Twitter Facebook RSS
Kommentare  
Mit dem Abschicken des Kommentars erklären sie sich mit der in der Datenschutzerklärung dargelegten Datenerhebung für Kommentare einverstanden.